Bug 497868 - Package dependencies not installed with configure-proxy.sh
Package dependencies not installed with configure-proxy.sh
Status: CLOSED NOTABUG
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Jeff Browning
:
Depends On:
Blocks: 456999
  Show dependency treegraph
 
Reported: 2009-04-27 12:34 EDT by Jeff Browning
Modified: 2009-08-10 14:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 11:02:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Browning 2009-04-27 12:34:55 EDT
Description of problem:
There are several packages that are required for command line proxy installer to work that are not being installed with configure-proxy.sh in the dependency check step.

Version-Release number of selected component (if applicable):
[root@fjs-0-01 rhn]# rpm -q proxy-installer
proxy-installer-5.2.0-20.el5

How reproducible:
100%

Steps to Reproduce:
1. pxe a system to RHEL5u3
2. Register the system to a 530 sat
3. Give the system Provisioning, Monitoring, and subscribe it to the Tools channel
4. Copy the cert from the /pub directory of the Satellite to the proxy
5. yum install proxy-installer
6. Run configure-proxy.sh
  
Actual results:
After going through the prompts, here's what I get:

[root@fjs-0-01 rhn]# configure-proxy.sh 
Proxy version to activate [5.2]: 5.3
RHN Parent [rlx-0-06.rhndev.redhat.com]: 
Traceback email []: jbrownin@redhat.com
Use SSL [1]: 
CA Chain [/usr/share/rhn/RHNS-CA-CERT]: 
HTTP Proxy []: 
Regardless of whether you enabled SSL for the connection to the RHN Parent
Server, you will be prompted to generate an SSL certificate.
This SSL certificate will allow client systems to connect to this RHN Proxy
securely. Refer to the RHN Proxy Installation Guide for more information.
Organization: Red Hat
Organization Unit [fjs-0-01.rhndev.redhat.com]: 
Common Name [fjs-0-01.rhndev.redhat.com]: 
City: Raleigh
State: NC
Country code: US
Email [jbrownin@redhat.com]: 
API version: 5.3.0 Beta
RHN Proxy successfully activated.
Loaded plugins: rhnplugin, security
redhat-rhn-proxy-5.3-server-i386-5                       |  871 B     00:00     
primary.xml.gz                                           |  31 kB     00:00     
redhat-rhn-proxy-5.3-server-i386-5                             83/83
Setting up Install Process
Parsing package install arguments
No package rhns-proxy-management available.
Nothing to do
You do not have monitoring installed. Do you want to install it?
Will run 'yum install rhns-proxy-monitoring'.  [Y/n]:n
df: `/var/spool/squid': No such file or directory
/usr/sbin/configure-proxy.sh: line 134: * 60 / 100 / 1024 : syntax error: operand expected (error token is "* 60 / 100 / 1024 ")
/usr/sbin/configure-proxy.sh: line 136: /etc/jabberd/c2s.xml: No such file or directory
/usr/sbin/configure-proxy.sh: line 137: /etc/jabberd/sm.xml: No such file or directory
/usr/sbin/configure-proxy.sh: line 138: /etc/squid/squid.conf: No such file or directory
/usr/sbin/configure-proxy.sh: line 147: /etc/rhn/rhn.conf: No such file or directory
/usr/sbin/configure-proxy.sh: line 152: /etc/rhn/cluster.ini: No such file or directory
Generating CA key and public certificate:
/usr/sbin/configure-proxy.sh: line 160: /usr/bin/rhn-ssl-tool: No such file or directory
CA certificate generation failed! Configuration interrupted.

After installing jabberd, squid, and rhns-certs-tools (which installs the updated Spacewalk version instead), trying to run the install again gets you much further, but still ends up with this:

Generating CA key and public certificate:
CA password: 
CA password confirmation: 
Copying CA public certificate to /var/www/html/pub for distribution to clients:
Generating SSL key and public certificate:
CA password: 
Backup made: 'rhn-ca-openssl.cnf' --> 'rhn-ca-openssl.cnf.1'

Rotated: rhn-ca-openssl.cnf --> rhn-ca-openssl.cnf.1
Installing SSL certificate for Apache and Jabberd:
Preparing packages for installation...
rhn-org-httpd-ssl-key-pair-fjs-0-01.rhndev-1.0-1
mv: cannot stat `/etc/httpd/conf.d/ssl.conf': No such file or directory
cat: /etc/httpd/conf.d/ssl.conf.bak: No such file or directory
/usr/sbin/configure-proxy.sh: line 195: /etc/init.d/rhn-proxy: No such file or directory


Expected results:
As best I can tell from documentation, you should not have to install Squid, Jabberd, or other components individually before trying to install proxy. The need for these packages should probably be caught in the initial dependency check, as with httpd and the rhncfg packages.

Additional info:
Comment 1 Miroslav Suchý 2009-04-28 04:30:35 EDT
The package rhns-proxy-management is renamed to spacewalk-proxy-management. It should be fixed in current installer. Can you try spacewalk-proxy-installer-0.5.25-2-sat?
Comment 2 Miroslav Suchý 2009-05-14 11:02:09 EDT
[17:00] <mirek> Ktok_lt: what about  497868 ? Can I close it?
[17:01] <Ktok_lt> mirek, ah, yeah go ahead.
[17:01] <mirek> ok
Comment 3 wes hayutin 2009-07-23 14:52:41 EDT
make sure the correct proxy installer rpm is in the tools channel

Note You need to log in before you can comment on or make changes to this bug.